package com.bwie.common.domain;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.Date;

/**
 * 求购表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("askbuy")
public class AskBuy {
    @TableId(value = "askbuy_id",type = IdType.AUTO)
    private Long askBuyId; //求租ID
    @TableField("askbuy_address")
    private String askBuyAddress; //求租具体地址
    @TableField("askbuy_title")
    private String askBuyTitle; //求租标签
    @TableField("dictionary_type_id")
    private Long dictionaryTypeId; //求租类型
    @TableField("addr_id")
    private Long addrId; //三级联动
    @TableField("user_id")
    private Long userId; //联系人
    @TableField("askbuy_price")
    private BigDecimal askBuyPrice; //求租价格
    @TableField("is_delete")
    private Long isDelete; //逻辑删除
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("create_time")
    private Date createTime; //创建时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("update_time")
    private Date updateTime; //修改时间
}
