package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("house")
public class House {
    @TableId(type = IdType.AUTO)
    private Long id;  //主键
    private Long userId;  //发布人id
    private String title;  //标题
    private String estate;  //小区
    private Long houseTypeId;  //发布类型id-- 2手房出售 有房出租 我想买房 租房 帮我找房
    private Long addrId;  //区域id
    private String houseAddr;  //房源详细地址
    private BigDecimal housePrice;  //价格
    private String roomType;  //户型
    private String orientation;  //朝向
    private String decorate;  //装修
    private String floor;  //楼层
    private Integer acreage;  //面积
    private String sellingPoints;  //核心卖点
    private String mentality;  //业主心态
    private String serviceIntroduction;  //服务介绍
    private Integer managerStatus;  //房源管理状态
    private Long brokerId;  //经纪人id
    private Integer isSuccess;  //是否交易成功【0-成功 1-失败】
    private Integer verify;  //是否验真【0-已验真 1-未验真】
    private Integer isEs;  //是否同步es【0-同步 1-未同步】
    private Date createTime;  //创建时间
    private Date updateTime;  //最近更新时间
    private Integer isDelete;  //逻辑删除字段

}
