package com.bwie.esask.sync;

import com.bwie.common.domain.AskRent;
import com.bwie.esask.feign.AskBuyRentFeign;
import com.bwie.esask.seriver.EsAskBuyService;
import com.bwie.common.domain.AskBuy;
import com.bwie.common.result.Result;
import com.bwie.esask.seriver.EsAskRentService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;
/**
 * 同步求购表
 */
@Component
public class AskBuySync {

    /**
     * 求购表
     */
    private final AskBuyRentFeign askBuyRentFeign;

    /**
     * 求租表
     */
    private final EsAskRentService esAskRentService;
    private final EsAskBuyService esAskBuyService;
    public AskBuySync(AskBuyRentFeign askBuyRentFeign, EsAskRentService askRentService, EsAskBuyService esAskBuyService) {
        this.askBuyRentFeign = askBuyRentFeign;
        this.esAskRentService = askRentService;
        this.esAskBuyService = esAskBuyService;
    }

    @Scheduled(cron = "0/5 * * * * ?")
    public void buySync(){
        Result<List<AskBuy>> listResult = askBuyRentFeign.shouAll();
        List<AskBuy> data = listResult.getData();
        if(data!=null){
            esAskBuyService.shouList(data);
        }
        System.out.println("定时器求购正常启动!!!!!!");

        Result<List<AskRent>> listResulta = askBuyRentFeign.shouList();
        List<AskRent> dataa = listResulta.getData();
        if(dataa!=null) {
            esAskRentService.shouListt(dataa);
        }
        System.out.println("定时器求租正常启动!!!!!!");
    }
}
